Summary:	Graphical client for Firebird
Name:		flamerobin
Version:	0.9.2
Release:	0%{?dist}
License:	BSD
Group:		Applications/Databases
Source0:	http://downloads.sourceforge.net/%{name}/%{name}-%{version}-src.tar.gz
URL:		http://www.flamerobin.org/
BuildRequires:	firebird-devel >= 2.0.0.12748
BuildRequires:	wxGTK-devel >= 2.8
BuildRequires:	desktop-file-utils
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot

%description
FlameRobin is a database administration tool for Firebird DBMS based on wxgtk
toolkit.

%prep
%setup -q -n %{name}-%{version}-src

%build
%configure 
make %{?_smp_mflags}  

%install
rm -rf %{buildroot}
make install DESTDIR=$RPM_BUILD_ROOT

rm -f %{buildroot}/%{_datadir}/pixmaps/%{name}.png
cp -f ./res/%{name}.xpm %{buildroot}/%{_datadir}/%{name}/%{name}.xpm

sed	"s@Categories=Development;Database;GTK@Categories=Development;Database;Application;@"	-i	%{buildroot}/%{_datadir}/applications/%{name}.desktop
sed	"s@Icon=/usr/share/pixmaps/flamerobin.png@Icon=%{_datadir}/%{name}/%{name}.xpm@"	-i	%{buildroot}/%{_datadir}/applications/%{name}.desktop
echo Encoding=UTF-8 >> %{buildroot}/%{_datadir}/applications/%{name}.desktop	
desktop-file-validate %{buildroot}%{_datadir}/applications/%{name}.desktop
rm -rf $RPM_BUILD_ROOT%{_datadir}/%{name}/docs

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc docs/*
%{_mandir}/man1/flamerobin.1*
%{_bindir}/%{name}
%{_datadir}/applications/*
%{_datadir}/%{name}


%changelog

* Sun Apr 12 2009  Philippe Makowski <makowski at firebird-fr.eu.org> 0.9.2-0
- First Fedora build
- New upstream: 0.9.2

* Tue Mar 24 2009 Philippe Makowski <makowski@firebird-fr.eu.org> 0.9.0-1
- Update to 0.9.0
- First mipsel build

* Thu Jul 24 2008 Thierry Vignaud <tvignaud@mandriva.com> 0.8.3-3mdv2009.0
+ Revision: 245195
- rebuild

* Thu Jan 31 2008 Marcelo Ricardo Leitner <mrl@mandriva.com> 0.8.3-1mdv2008.1
+ Revision: 160873
- New upstream: 0.8.3

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tvignaud@mandriva.com>
    - kill re-definition of %%buildroot on Pixel's request

* Thu Oct 18 2007 Marcelo Ricardo Leitner <mrl@mandriva.com> 0.8.1-1mdv2008.1
+ Revision: 99959
- Fix configure permission.
- New upstream: 0.8.1
- New upstream: 0.8.0

* Tue May 15 2007 Marcelo Ricardo Leitner <mrl@mandriva.com> 0.7.6-3mdv2008.0
+ Revision: 26964
- Rebuilt against new wx stuff.


* Wed Dec 20 2006 Götz Waschk <waschk@mandriva.org> 0.7.6-2mdv2007.0
+ Revision: 100700
- rebuild

* Mon Nov 27 2006 Marcelo Ricardo Leitner <mrl@mandriva.com> 0.7.6-1mdv2007.1
+ Revision: 87367
- New upstream: 0.7.6
- Added menu icon.

* Thu Nov 16 2006 Marcelo Ricardo Leitner <mrl@mandriva.com> 0.7.5-5mdv2007.1
+ Revision: 84903
- Added BuildRequires for ImageMagick: due to convert usage.
- Rebuilt against firebird 2.0 final.

* Thu Sep 07 2006 Marcelo Ricardo Leitner <mrl@mandriva.com> 0.7.5-4mdv2007.0
+ Revision: 60258
- New upstream: 0.7.5

* Wed Sep 06 2006 Marcelo Ricardo Leitner <mrl@mandriva.com> 0.7.2-4mdv2007.0
+ Revision: 59989
- Removed old-style menu entry. The new one (.desktop) will be added later.
- Import flamerobin

* Sat Sep 02 2006 Marcelo Ricardo Leitner <mrl@mandriva.com>
- Fixed BuildRequires.
- Removed hardcoded buildrequires to libraries: they should be automatic.
- Enhanced package description.

* Thu Aug 24 2006 Philippe Makowski <makowski@firebird-fr.eu.org> 
- change Requires to libfirebird2

* Thu Aug 17 2006 Philippe Makowski <makowski@firebird-fr.eu.org> 
- initial release

